/*********************************************************
*
*  Multi Theft Auto: San Andreas - Deathmatch
*
*  MySQL 5.0, External lua add-on module
*  http://www.multitheftauto.com
*
*  Copyright  2003-2008 MTA.  All Rights Reserved.
*
*  Grand Theft Auto is  2002-2003 Rockstar North
*
*  THE FOLLOWING SOURCES ARE PART OF THE MULTI THEFT
*  AUTO SOFTWARE DEVELOPMENT KIT AND ARE RELEASED AS
*  OPEN SOURCE FILES. THESE FILES MAY BE USED AS LONG
*  AS THE DEVELOPER AGREES TO THE LICENSE THAT IS
*  PROVIDED WITH THIS PACKAGE.
*
*********************************************************/

// Low-level C exports for our final DLL

#include "ml_mysql.h"

// Initialisation function (module entrypoint)
MTAEXPORT bool InitModule ( ILuaModuleManager *pManager, char *szModuleName, char *szAuthor, float *fVersion )
{
	pModuleManager = pManager;

	// set the module info
	strncpy ( szModuleName, MODULE_NAME, MAX_INFO_LENGTH );
	strncpy ( szAuthor, MODULE_AUTHOR, MAX_INFO_LENGTH );
	(*fVersion) = MODULE_VERSION;

	return true;
}


// Lua-function register function (called during the initialisation of a new vm)
MTAEXPORT void RegisterFunctions ( lua_State * luaVM )
{
	if ( pModuleManager && luaVM ) {
		// Register the MySQL command functions
		pModuleManager->RegisterFunction ( luaVM, "mysqlCreate", CFunctions::MySQLCreate );			// ( db )
		pModuleManager->RegisterFunction ( luaVM, "mysqlDestroy", CFunctions::MySQLDestroy );		// ( db )
		pModuleManager->RegisterFunction ( luaVM, "mysqlOpen", CFunctions::MySQLOpen );				// ( db, callback(result), host, user, pass, db, port )
		pModuleManager->RegisterFunction ( luaVM, "mysqlQuery", CFunctions::MySQLQuery );			// ( db, callback(table), query )
		pModuleManager->RegisterFunction ( luaVM, "mysqlSafeString", CFunctions::MySQLSafeString );	// ( query )
	}
}


// Pulse function (called periodically)
MTAEXPORT bool DoPulse ( void )
{
	return true;
}

// Shutdown function (called on module unload)
MTAEXPORT bool ShutdownModule ( void )
{
	return true;
}
